local _G = getfenv(0)

function Skinner:ArkInventory()
	if not self.db.profile.ContainerFrames then return end
		
	if self:isVersion("ArkInventory", {2.00, 2.02}, ARKINV_G.PROGRAM_VERSION) then self:ArkInventory2() return end
	                                       
	self:SecureHook(ARKINV, "ContainerGenerateActual", function(loc_id)
--		self:Debug("ARKINV-ContainerGenerateActual")
		self:keepRegions(ARKINV_MainFrame1Title, {})
		self:applySkin(ARKINV_MainFrame1Title)
		self:keepRegions(ARKINV_MainFrame1Container, {})
		self:applySkin(ARKINV_MainFrame1Container)
		self:keepRegions(ARKINV_MainFrame1BagChanger, {})
		self:applySkin(ARKINV_MainFrame1BagChanger)
		self:keepRegions(ARKINV_MainFrame1Status, {})
		if ARKINV_MainFrame1StatusText then ARKINV_MainFrame1StatusText:SetAlpha(1) end
		self:applySkin(ARKINV_MainFrame1Status)
		self:keepRegions(ARKINV_MainFrame2Title, {})
		self:applySkin(ARKINV_MainFrame2Title)
		self:keepRegions(ARKINV_MainFrame2Container, {})
		self:applySkin(ARKINV_MainFrame2Container)
		self:keepRegions(ARKINV_MainFrame2BagChanger, {})
		self:applySkin(ARKINV_MainFrame2BagChanger)
		self:keepRegions(ARKINV_MainFrame2Status, {})
		if ARKINV_MainFrame2StatusText then	ARKINV_MainFrame2StatusText:SetAlpha(1) end
		self:applySkin(ARKINV_MainFrame2Status)
		self:keepRegions(ARKINV_MainFrame3Title, {})
		self:applySkin(ARKINV_MainFrame3Title)
		self:keepRegions(ARKINV_MainFrame3Container, {})
		self:applySkin(ARKINV_MainFrame3Container)
		self:keepRegions(ARKINV_MainFrame3BagChanger, {})
		self:applySkin(ARKINV_MainFrame3BagChanger)
		self:keepRegions(ARKINV_MainFrame3Status, {})
		if ARKINV_MainFrame3StatusText then ARKINV_MainFrame3StatusText:SetAlpha(1) end
		self:applySkin(ARKINV_MainFrame3Status)
		end)

end

function Skinner:ArkInventory2()

	self:SecureHook(ARKINV, "ContainerGenerate", function(AI, loc_id)
--		self:Debug("ARKINV-ContainerGenerate: [%s]", loc_id)
		local af = ARKINV_G.GUI_NAME..loc_id
		self:keepFontStrings(_G[af.."Title"])
		self:applySkin(_G[af.."Title"])
		self:keepFontStrings(_G[af.."Container"])
		self:applySkin(_G[af.."Container"])
		self:keepFontStrings(_G[af.."BagChanger"])
		self:applySkin(_G[af.."BagChanger"])
		self:keepFontStrings(_G[af.."Status"])
		self:applySkin(_G[af.."Status"])
		if _G[af.."StatusText"] then _G[af.."StatusText"]:SetAlpha(1) end
		end)

	self:SecureHook(ARKINV, "Tooltip", function(this, txt)
		self:skinTooltip(ARKINV_Tooltip)
		end)

	self:skinTooltip(ARKINV_Tooltip)
	self:skinTooltip(ARKINV_StealthTooltip)
	if self.db.profile.Tooltips.style == 3 then 
		ARKINV_Tooltip:SetBackdrop(backdrop)
		ARKINV_StealthTooltip:SetBackdrop(backdrop)
	end
	
end
